import { UserSchema } from '../../schemas/user/UserSchema';
import { AccountDevice } from '../accountDevice';
import { DBReference } from '../accountDevice/AccountDevice';
declare class User {
    id: string;
    sub: string;
    email: string;
    firstName: string;
    lastName: string;
    groups: string[];
    recordingFilter: any;
    devices: AccountDevice[];
    customers?: DBReference[];
    constructor(values: User);
    isValid(): Promise<boolean>;
    validate(): Promise<any>;
}
export { User, UserSchema };
